Eclipse Platform Release 3.7

## org.eclipse.help
Interface IIndexContribution

    public interface IIndexContribution

Represents either a complete or partial keyword index, as well as its metadata.

Since:
  3.3

Method Summary
`String` `getId()` Returns a unique identifier for this contribution.
`IIndex` `getIndex()` Returns this contributions index.
`String` `getLocale()` Returns the locale for this contribution.

Method Detail

### getId

    String getId()

  Returns a unique identifier for this contribution.

  Returns:
    the contribution's unique identifier

### getIndex

    IIndex getIndex()

  Returns this contributions index.

  Returns:
    the index data for this contribution

### getLocale

    String getLocale()

  Returns the locale for this contribution.

  Returns:
    the contribution's locale

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.